/***************************************************************************
 *   Copyright (C) 2006 by AST   *
 *   tsyplyaev@gmail.com   *
 *   ICQ: 279-533-134                          *
 *   This is a part of work done by AST.       *
 *   If you want to use it, please contact me. *
 ***************************************************************************/

//**************************************
#include "PhysJoint.h"
#include "PhysSystem.h"
#include "PhysBody.h"
//**************************************

namespace ASTEngine {

PhysJointUpVector *PhysJointUpVector::create(const Vec3 &direction, PhysBody *body) {
	PhysJointUpVector *joint = new PhysJointUpVector();
	joint->nJoint = NewtonConstraintCreateUpVector(PhysSystem::get()->nWorld, direction, body->nBody);
	return joint;
};

PhysJointUpVector::~PhysJointUpVector() {
	NewtonDestroyJoint(PhysSystem::get()->nWorld, nJoint);
};

};
